Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.myfaces.shared_orchestra.taglib.html
Class HtmlMessagesTagBase

    java.lang.Object
      javax.faces.webapp.UIComponentTagBase
          javax.faces.webapp.UIComponentClassicTagBase
              javax.faces.webapp.UIComponentTag
                  org.apache.myfaces.shared_orchestra.taglib.UIComponentTagBase
                      org.apache.myfaces.shared_orchestra.taglib.html.HtmlComponentTagBase
                          org.apache.myfaces.shared_orchestra.taglib.html.HtmlMessagesTagBase

All Implemented Interfaces:
  javax.servlet.jsp.tagext.BodyTag, javax.servlet.jsp.tagext.IterationTag, javax.servlet.jsp.tagext.JspIdConsumer, javax.servlet.jsp.tagext.JspTag, javax.servlet.jsp.tagext.Tag

    public abstract class HtmlMessagesTagBase

extends HtmlComponentTagBase

Version:
  $Revision: 472630 $ $Date: 2006-11-08 15:40:03 -0500 (Wed, 08 Nov 2006) $
Author:
  Manfred Geiler (latest modification by $Author: grantsmith $)

Field Summary

Fields inherited from class javax.faces.webapp.UIComponentClassicTagBase
`bodyContent, pageContext, UNIQUE_ID_PREFIX`

Fields inherited from class javax.faces.webapp.UIComponentTagBase
`log`

Fields inherited from interface javax.servlet.jsp.tagext.BodyTag
`EVAL_BODY_BUFFERED, EVAL_BODY_TAG`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`HtmlMessagesTagBase()`

Method Summary
`void` | `release()`
`void` | `setErrorClass(String errorClass)`
`void` | `setErrorStyle(String errorStyle)`
`void` | `setFatalClass(String fatalClass)`
`void` | `setFatalStyle(String fatalStyle)`
`void` | `setGlobalOnly(String globalOnly)`
`void` | `setInfoClass(String infoClass)`
`void` | `setInfoStyle(String infoStyle)`
`void` | `setLayout(String layout)`
`protected void` | `setProperties(javax.faces.component.UIComponent component)`
`void` | `setShowDetail(String showDetail)`
`void` | `setShowSummary(String showSummary)`
`void` | `setTooltip(String tooltip)`
`void` | `setWarnClass(String warnClass)`
`void` | `setWarnStyle(String warnStyle)`

Methods inherited from class org.apache.myfaces.shared_orchestra.taglib.html.HtmlComponentTagBase
`setDir, setLang, setOnclick, setOndblclick, setOnkeydown, setOnkeypress, setOnkeyup, setOnmousedown, setOnmousemove, setOnmouseout, setOnmouseover, setOnmouseup, setStyle, setStyleClass, setTitle`

Methods inherited from class org.apache.myfaces.shared_orchestra.taglib.UIComponentTagBase
`setActionListenerProperty, setActionProperty, setBooleanProperty, setConverter, setForceId, setForceIdIndex, setImageLocation, setIntegerProperty, setJavascriptLocation, setLongProperty, setStringProperty, setStyleLocation, setValidatorProperty, setValue, setValueBinding, setValueChangedListenerProperty`

Methods inherited from class javax.faces.webapp.UIComponentTag
`createComponent, getParentUIComponentTag, hasBinding, isSuppressed, isValueReference, setBinding, setRendered`

Methods inherited from class javax.faces.webapp.UIComponentClassicTagBase
`addChild, addFacet, addVerbatimAfterComponent, addVerbatimBeforeComponent, createVerbatimComponent, createVerbatimComponentFromBodyContent, doAfterBody, doEndTag, doInitBody, doStartTag, encodeBegin, encodeChildren, encodeEnd, findComponent, getBodyContent, getComponentInstance, getCreated, getCreatedComponents, getDoAfterBodyValue, getDoEndValue, getDoStartValue, getFacesContext, getFacesJspId, getFacetName, getId, getIndexOfNextChildTag, getJspId, getParent, getParentUIComponentClassicTagBase, getPreviousOut, setBodyContent, setId, setJspId, setPageContext, setParent, setupResponseWriter`

Methods inherited from class javax.faces.webapp.UIComponentTagBase
`getComponentType, getELContext, getRendererType`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HtmlMessagesTagBase

    public HtmlMessagesTagBase()

Method Detail

### release

    public void release()

  Specified by:
    `release` in interface `javax.servlet.jsp.tagext.Tag`
  Overrides:
    `release` in class `HtmlComponentTagBase`

### setProperties

    protected void setProperties(javax.faces.component.UIComponent component)

  Overrides:
    `setProperties` in class `HtmlComponentTagBase`

### setShowSummary

    public void setShowSummary(String showSummary)

### setShowDetail

    public void setShowDetail(String showDetail)

### setGlobalOnly

    public void setGlobalOnly(String globalOnly)

### setErrorClass

    public void setErrorClass(String errorClass)

### setErrorStyle

    public void setErrorStyle(String errorStyle)

### setFatalClass

    public void setFatalClass(String fatalClass)

### setFatalStyle

    public void setFatalStyle(String fatalStyle)

### setInfoClass

    public void setInfoClass(String infoClass)

### setInfoStyle

    public void setInfoStyle(String infoStyle)

### setWarnClass

    public void setWarnClass(String warnClass)

### setWarnStyle

    public void setWarnStyle(String warnStyle)

### setLayout

    public void setLayout(String layout)

### setTooltip

    public void setTooltip(String tooltip)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 The Apache Software Foundation. All Rights Reserved.